libname EPIC "E:\Donnes EPIC 25-01";
libname EPIC "~grobon_seb/EPIC/Donnees_25_01" ;

  ods listing ;

/* fusion des tables */
proc sort data=epic.individu;
by ident_men;
run;
proc sort data=epic.histoire;
by ident_men;
run;
proc sort data=epic.repondant;
by ident_men;
run;

data hist1;
set epic.histoire;
where H_NREL_CORR=1;
run;

data epic.ens;
merge epic.individu epic.histoire epic.repondant;
by ident_men;
run;

data epic.histrep;
merge epic.histoire epic.repondant;
by ident_men;
run;

/****************************************************************/
/* 1- calcul des scores avec l'chelle Chambaz, Maurin, Torelli */
/****************************************************************/

/*
data epic.ens;
set  epic.ens;
*/

data epic.repondant_score;
set  epic.repondant;

/* enqut au moment de l'enqute */

if m_cs42 in ('10','11','12','13') then score_pro_enq_act = -0.43 ;
else if m_cs42 = '21' then score_pro_enq_act =  0.17 ;
else if m_cs42 = '22' then score_pro_enq_act =  0.27 ;
else if m_cs42 = '23' then score_pro_enq_act =  1.18 ;
else if m_cs42 = '31' then score_pro_enq_act =  2.19 ;

else if m_cs42 in ('32','33','34','35') then score_pro_enq_act =  1.33 ;
else if m_cs42 in ('36','37','38') then score_pro_enq_act =  1.65 ;
else if m_cs42 in ('41','42','43','44','45') then score_pro_enq_act =  1.02 ;
else if m_cs42 = '46' then score_pro_enq_act =  0    ;
else if m_cs42 in ('47', '48') then score_pro_enq_act =  0.78 ;

else if m_cs42 = '50' then score_pro_enq_act = -0.66 ;
else if m_cs42 in ('51','52','53') then score_pro_enq_act = -0.52 ;

else if m_cs42 = '54' then score_pro_enq_act =  0.03 ;
else if m_cs42 = '55' then score_pro_enq_act = -1.18 ;
else if m_cs42 = '56' then score_pro_enq_act = -1.17 ;
else if m_cs42 in ('61','62','63','64','65') then score_pro_enq_act = -0.50 ;
else if m_cs42 = '60' then score_pro_enq_act = -0.87 ;
else if m_cs42 in ('66','67','68','69') then score_pro_enq_act = -1.52 ;


/* conjoint actuellement (erreur p.61 (229) du dictionnaire des codes?)*/
if c_cs42c in ('10','11','12','13') then score_pro_conj_act = -0.43 ;
else if c_cs42c = '21' then score_pro_conj_act =  0.17 ;
else if c_cs42c = '22' then score_pro_conj_act =  0.27 ;
else if c_cs42c = '23' then score_pro_conj_act =  1.18 ;
else if c_cs42c = '31' then score_pro_conj_act =  2.19 ;

else if c_cs42c in ('32','33','34','35') then score_pro_conj_act =  1.33 ;
else if c_cs42c in ('36','37','38') then score_pro_conj_act =  1.65 ;
else if c_cs42c in ('41','42','43','44','45') then score_pro_conj_act =  1.02 ;
else if c_cs42c = '46' then score_pro_conj_act =  0    ;
else if c_cs42c in ('47', '48') then score_pro_conj_act =  0.78 ;

else if c_cs42c = '50' then score_pro_conj_act = -0.66 ;
else if c_cs42c in ('51','52','53') then score_pro_conj_act = -0.52 ;

else if c_cs42c = '54' then score_pro_conj_act =  0.03 ;
else if c_cs42c = '55' then score_pro_conj_act = -1.18 ;
else if c_cs42c = '56' then score_pro_conj_act = -1.17 ;
else if c_cs42c in ('61','62','63','64','65') then score_pro_conj_act = -0.50 ;
else if c_cs42c = '60' then score_pro_conj_act = -0.87 ;
else if c_cs42c in ('66','67','68','69') then score_pro_conj_act = -1.52 ;


/* enqut au dbut de la relation actuelle */
if h_cs42_c in ('10','11','12','13') then score_pro_enq_debract = -0.43 ;
else if h_cs42_c = '21' then score_pro_enq_debract =  0.17 ;
else if h_cs42_c = '22' then score_pro_enq_debract =  0.27 ;
else if h_cs42_c = '23' then score_pro_enq_debract =  1.18 ;
else if h_cs42_c = '31' then score_pro_enq_debract =  2.19 ;

else if h_cs42_c in ('32','33','34','35') then score_pro_enq_debract =  1.33 ;
else if h_cs42_c in ('36','37','38') then score_pro_enq_debract =  1.65 ;
else if h_cs42_c in ('41','42','43','44','45') then score_pro_enq_debract =  1.02 ;
else if h_cs42_c = '46' then score_pro_enq_debract =  0    ;
else if h_cs42_c in ('47', '48') then score_pro_enq_debract =  0.78 ;

else if h_cs42_c = '50' then score_pro_enq_debract = -0.66 ;
else if h_cs42_c in ('51','52','53') then score_pro_enq_debract = -0.52 ;

else if h_cs42_c = '54' then score_pro_enq_debract =  0.03 ;
else if h_cs42_c = '55' then score_pro_enq_debract = -1.18 ;
else if h_cs42_c = '56' then score_pro_enq_debract = -1.17 ;
else if h_cs42_c in ('61','62','63','64','65') then score_pro_enq_debract = -0.50 ;
else if h_cs42_c = '60' then score_pro_enq_debract = -0.87 ;
else if h_cs42_c in ('66','67','68','69') then score_pro_enq_debract = -1.52 ;

/* conjoint au dbut de la relation actuelle */
if h_cs42c_c in ('10','11','12','13') then score_pro_conj_debract = -0.43 ;
else if h_cs42c_c = '21' then score_pro_conj_debract =  0.17 ;
else if h_cs42c_c = '22' then score_pro_conj_debract =  0.27 ;
else if h_cs42c_c = '23' then score_pro_conj_debract =  1.18 ;
else if h_cs42c_c = '31' then score_pro_conj_debract =  2.19 ;

else if h_cs42c_c in ('32','33','34','35') then score_pro_conj_debract =  1.33 ;
else if h_cs42c_c in ('36','37','38') then score_pro_conj_debract =  1.65 ;
else if h_cs42c_c in ('41','42','43','44','45') then score_pro_conj_debract =  1.02 ;
else if h_cs42c_c = '46' then score_pro_conj_debract =  0    ;
else if h_cs42c_c in ('47', '48') then score_pro_conj_debract =  0.78 ;

else if h_cs42c_c = '50' then score_pro_conj_debract = -0.66 ;
else if h_cs42c_c in ('51','52','53') then score_pro_conj_debract = -0.52 ;

else if h_cs42c_c = '54' then score_pro_conj_debract =  0.03 ;
else if h_cs42c_c = '55' then score_pro_conj_debract = -1.18 ;
else if h_cs42c_c = '56' then score_pro_conj_debract = -1.17 ;
else if h_cs42c_c in ('61','62','63','64','65') then score_pro_conj_debract = -0.50 ;
else if h_cs42c_c = '60' then score_pro_conj_debract = -0.87 ;
else if h_cs42c_c in ('66','67','68','69') then score_pro_conj_debract = -1.52 ;
run;


data epic.histrep;
set  epic.histrep;
/* enqut au moment de l'enqute */

if m_cs42 in ('10','11','12','13') then score_pro_enq_act = -0.43 ;
else if m_cs42 = '21' then score_pro_enq_act =  0.17 ;
else if m_cs42 = '22' then score_pro_enq_act =  0.27 ;
else if m_cs42 = '23' then score_pro_enq_act =  1.18 ;
else if m_cs42 = '31' then score_pro_enq_act =  2.19 ;

else if m_cs42 in ('32','33','34','35') then score_pro_enq_act =  1.33 ;
else if m_cs42 in ('36','37','38') then score_pro_enq_act =  1.65 ;
else if m_cs42 in ('41','42','43','44','45') then score_pro_enq_act =  1.02 ;
else if m_cs42 = '46' then score_pro_enq_act =  0    ;
else if m_cs42 in ('47', '48') then score_pro_enq_act =  0.78 ;

else if m_cs42 = '50' then score_pro_enq_act = -0.66 ;
else if m_cs42 in ('51','52','53') then score_pro_enq_act = -0.52 ;

else if m_cs42 = '54' then score_pro_enq_act =  0.03 ;
else if m_cs42 = '55' then score_pro_enq_act = -1.18 ;
else if m_cs42 = '56' then score_pro_enq_act = -1.17 ;
else if m_cs42 in ('61','62','63','64','65') then score_pro_enq_act = -0.50 ;
else if m_cs42 = '60' then score_pro_enq_act = -0.87 ;
else if m_cs42 in ('66','67','68','69') then score_pro_enq_act = -1.52 ;


/* conjoint actuellement (erreur p.61 (229) du dictionnaire des codes?)*/
if c_cs42c in ('10','11','12','13') then score_pro_conj_act = -0.43 ;
else if c_cs42c = '21' then score_pro_conj_act =  0.17 ;
else if c_cs42c = '22' then score_pro_conj_act =  0.27 ;
else if c_cs42c = '23' then score_pro_conj_act =  1.18 ;
else if c_cs42c = '31' then score_pro_conj_act =  2.19 ;

else if c_cs42c in ('32','33','34','35') then score_pro_conj_act =  1.33 ;
else if c_cs42c in ('36','37','38') then score_pro_conj_act =  1.65 ;
else if c_cs42c in ('41','42','43','44','45') then score_pro_conj_act =  1.02 ;
else if c_cs42c = '46' then score_pro_conj_act =  0    ;
else if c_cs42c in ('47', '48') then score_pro_conj_act =  0.78 ;

else if c_cs42c = '50' then score_pro_conj_act = -0.66 ;
else if c_cs42c in ('51','52','53') then score_pro_conj_act = -0.52 ;

else if c_cs42c = '54' then score_pro_conj_act =  0.03 ;
else if c_cs42c = '55' then score_pro_conj_act = -1.18 ;
else if c_cs42c = '56' then score_pro_conj_act = -1.17 ;
else if c_cs42c in ('61','62','63','64','65') then score_pro_conj_act = -0.50 ;
else if c_cs42c = '60' then score_pro_conj_act = -0.87 ;
else if c_cs42c in ('66','67','68','69') then score_pro_conj_act = -1.52 ;

/* enqut au dbut de la relation actuelle */
if h_cs42c in ('10','11','12','13') then score_pro_enq_debract = -0.43 ;
else if h_cs42_c = '21' then score_pro_enq_debract =  0.17 ;
else if h_cs42_c = '22' then score_pro_enq_debract =  0.27 ;
else if h_cs42_c = '23' then score_pro_enq_debract =  1.18 ;
else if h_cs42_c = '31' then score_pro_enq_debract =  2.19 ;

else if h_cs42_c in ('32','33','34','35') then score_pro_enq_debract =  1.33 ;
else if h_cs42_c in ('36','37','38') then score_pro_enq_debract =  1.65 ;
else if h_cs42_c in ('41','42','43','44','45') then score_pro_enq_debract =  1.02 ;
else if h_cs42_c = '46' then score_pro_enq_debract =  0    ;
else if h_cs42_c in ('47', '48') then score_pro_enq_debract =  0.78 ;

else if h_cs42_c = '50' then score_pro_enq_debract = -0.66 ;
else if h_cs42_c in ('51','52','53') then score_pro_enq_debract = -0.52 ;

else if h_cs42_c = '54' then score_pro_enq_debract =  0.03 ;
else if h_cs42_c = '55' then score_pro_enq_debract = -1.18 ;
else if h_cs42_c = '56' then score_pro_enq_debract = -1.17 ;
else if h_cs42_c in ('61','62','63','64','65') then score_pro_enq_debract = -0.50 ;
else if h_cs42_c = '60' then score_pro_enq_debract = -0.87 ;
else if h_cs42_c in ('66','67','68','69') then score_pro_enq_debract = -1.52 ;

/* conjoint au dbut de la relation actuelle */
if h_cs42c_c in ('10','11','12','13') then score_pro_conj_debract = -0.43 ;
else if h_cs42c_c = '21' then score_pro_conj_debract =  0.17 ;
else if h_cs42c_c = '22' then score_pro_conj_debract =  0.27 ;
else if h_cs42c_c = '23' then score_pro_conj_debract =  1.18 ;
else if h_cs42c_c = '31' then score_pro_conj_debract =  2.19 ;

else if h_cs42c_c in ('32','33','34','35') then score_pro_conj_debract =  1.33 ;
else if h_cs42c_c in ('36','37','38') then score_pro_conj_debract =  1.65 ;
else if h_cs42c_c in ('41','42','43','44','45') then score_pro_conj_debract =  1.02 ;
else if h_cs42c_c = '46' then score_pro_conj_debract =  0    ;
else if h_cs42c_c in ('47', '48') then score_pro_conj_debract =  0.78 ;

else if h_cs42c_c = '50' then score_pro_conj_debract = -0.66 ;
else if h_cs42c_c in ('51','52','53') then score_pro_conj_debract = -0.52 ;

else if h_cs42c_c = '54' then score_pro_conj_debract =  0.03 ;
else if h_cs42c_c = '55' then score_pro_conj_debract = -1.18 ;
else if h_cs42c_c = '56' then score_pro_conj_debract = -1.17 ;
else if h_cs42c_c in ('61','62','63','64','65') then score_pro_conj_debract = -0.50 ;
else if h_cs42c_c = '60' then score_pro_conj_debract = -0.87 ;
else if h_cs42c_c in ('66','67','68','69') then score_pro_conj_debract = -1.52 ;


/*enqut au dbut de chaque relation historique */

if h_cs42 in ('10','11','12','13') then score_pro_enq_debrhist = -0.43 ;
else if h_cs42 = '21' then score_pro_enq_debrhist =  0.17 ;
else if h_cs42 = '22' then score_pro_enq_debrhist =  0.27 ;
else if h_cs42 = '23' then score_pro_enq_debrhist =  1.18 ;
else if h_cs42 = '31' then score_pro_enq_debrhist =  2.19 ;

else if h_cs42 in ('32','33','34','35') then score_pro_enq_debrhist =  1.33 ;
else if h_cs42 in ('36','37','38') then score_pro_enq_debrhist =  1.65 ;
else if h_cs42 in ('41','42','43','44','45') then score_pro_enq_debrhist =  1.02 ;
else if h_cs42 = '46' then score_pro_enq_debrhist =  0    ;
else if h_cs42 in ('47', '48') then score_pro_enq_debrhist =  0.78 ;

else if h_cs42 = '50' then score_pro_enq_debrhist = -0.66 ;
else if h_cs42 in ('51','52','53') then score_pro_enq_debrhist = -0.52 ;

else if h_cs42 = '54' then score_pro_enq_debrhist =  0.03 ;
else if h_cs42 = '55' then score_pro_enq_debrhist = -1.18 ;
else if h_cs42 = '56' then score_pro_enq_debrhist = -1.17 ;
else if h_cs42 in ('61','62','63','64','65') then score_pro_enq_debrhist = -0.50 ;
else if h_cs42 = '60' then score_pro_enq_debrhist = -0.87 ;
else if h_cs42 in ('66','67','68','69') then score_pro_enq_debrhist = -1.52 ;



/*conjoint de l'enqut au dbut de chaque relation historique */

if h_cs42c in ('10','11','12','13') then score_pro_conj_debrhist = -0.43 ;
else if h_cs42c = '21' then score_pro_conj_debrhist =  0.17 ;
else if h_cs42c = '22' then score_pro_conj_debrhist =  0.27 ;
else if h_cs42c = '23' then score_pro_conj_debrhist =  1.18 ;
else if h_cs42c = '31' then score_pro_conj_debrhist =  2.19 ;

else if h_cs42c in ('32','33','34','35') then score_pro_conj_debrhist =  1.33 ;
else if h_cs42c in ('36','37','38') then score_pro_conj_debrhist =  1.65 ;
else if h_cs42c in ('41','42','43','44','45') then score_pro_conj_debrhist =  1.02 ;
else if h_cs42c = '46' then score_pro_conj_debrhist =  0    ;
else if h_cs42c in ('47', '48') then score_pro_conj_debrhist =  0.78 ;

else if h_cs42c = '50' then score_pro_conj_debrhist = -0.66 ;
else if h_cs42c in ('51','52','53') then score_pro_conj_debrhist = -0.52 ;

else if h_cs42c = '54' then score_pro_conj_debrhist =  0.03 ;
else if h_cs42c = '55' then score_pro_conj_debrhist = -1.18 ;
else if h_cs42c = '56' then score_pro_conj_debrhist = -1.17 ;
else if h_cs42c in ('61','62','63','64','65') then score_pro_conj_debrhist = -0.50 ;
else if h_cs42c = '60' then score_pro_conj_debrhist = -0.87 ;
else if h_cs42c in ('66','67','68','69') then score_pro_conj_debrhist = -1.52 ;

/* pre de l'enqut */

if f_cs42p in ('10','11','12','13') then score_pro_pere = -0.43 ;
else if f_cs42p = '21' then score_pro_pere =  0.17 ;
else if f_cs42p = '22' then score_pro_pere =  0.27 ;
else if f_cs42p = '23' then score_pro_pere =  1.18 ;
else if f_cs42p = '31' then score_pro_pere =  2.19 ;

else if f_cs42p in ('32','33','34','35') then score_pro_pere =  1.33 ;
else if f_cs42p in ('36','37','38') then score_pro_pere =  1.65 ;
else if f_cs42p in ('41','42','43','44','45') then score_pro_pere =  1.02 ;
else if f_cs42p = '46' then score_pro_pere =  0    ;
else if f_cs42p in ('47', '48') then score_pro_pere =  0.78 ;

else if f_cs42p = '50' then score_pro_pere = -0.66 ;
else if f_cs42p in ('51','52','53') then score_pro_pere = -0.52 ;

else if f_cs42p = '54' then score_pro_pere =  0.03 ;
else if f_cs42p = '55' then score_pro_pere = -1.18 ;
else if f_cs42p = '56' then score_pro_pere = -1.17 ;
else if f_cs42p in ('61','62','63','64','65') then score_pro_pere = -0.50 ;
else if f_cs42p = '60' then score_pro_pere = -0.87 ;
else if f_cs42p in ('66','67','68','69') then score_pro_pere = -1.52 ;


/* mre  f_cs42m */


if f_cs42m in ('10','11','12','13') then score_pro_mere = -0.43 ;
else if f_cs42m = '21' then score_pro_mere =  0.17 ;
else if f_cs42m = '22' then score_pro_mere =  0.27 ;
else if f_cs42m = '23' then score_pro_mere =  1.18 ;
else if f_cs42m = '31' then score_pro_mere =  2.19 ;

else if f_cs42m in ('32','33','34','35') then score_pro_mere =  1.33 ;
else if f_cs42m in ('36','37','38') then score_pro_mere =  1.65 ;
else if f_cs42m in ('41','42','43','44','45') then score_pro_mere =  1.02 ;
else if f_cs42m = '46' then score_pro_mere =  0    ;
else if f_cs42m in ('47', '48') then score_pro_mere =  0.78 ;

else if f_cs42m = '50' then score_pro_mere = -0.66 ;
else if f_cs42m in ('51','52','53') then score_pro_mere = -0.52 ;

else if f_cs42m = '54' then score_pro_mere =  0.03 ;
else if f_cs42m = '55' then score_pro_mere = -1.18 ;
else if f_cs42m = '56' then score_pro_mere = -1.17 ;
else if f_cs42m in ('61','62','63','64','65') then score_pro_mere = -0.50 ;
else if f_cs42m = '60' then score_pro_mere = -0.87 ;
else if f_cs42m in ('66','67','68','69') then score_pro_mere = -1.52 ;


/* belle-mre*/

if f_cs42b in ('10','11','12','13') then score_pro_bmere = -0.43 ;
else if f_cs42b = '21' then score_pro_bmere =  0.17 ;
else if f_cs42b = '22' then score_pro_bmere =  0.27 ;
else if f_cs42b = '23' then score_pro_bmere =  1.18 ;
else if f_cs42b = '31' then score_pro_bmere =  2.19 ;

else if f_cs42b in ('32','33','34','35') then score_pro_bmere =  1.33 ;
else if f_cs42b in ('36','37','38') then score_pro_bmere =  1.65 ;
else if f_cs42b in ('41','42','43','44','45') then score_pro_bmere =  1.02 ;
else if f_cs42b = '46' then score_pro_bmere =  0    ;
else if f_cs42b in ('47', '48') then score_pro_bmere =  0.78 ;

else if f_cs42b = '50' then score_pro_bmere = -0.66 ;
else if f_cs42b in ('51','52','53') then score_pro_bmere = -0.52 ;

else if f_cs42b = '54' then score_pro_bmere =  0.03 ;
else if f_cs42b = '55' then score_pro_bmere = -1.18 ;
else if f_cs42b = '56' then score_pro_bmere = -1.17 ;
else if f_cs42b in ('61','62','63','64','65') then score_pro_bmere = -0.50 ;
else if f_cs42b = '60' then score_pro_bmere = -0.87 ;
else if f_cs42b in ('66','67','68','69') then score_pro_bmere = -1.52 ;


/* beau-pre*/

 if f_cs42a in ('10','11','12','13') then score_pro_bpere = -0.43 ;
else if f_cs42a = '21' then score_pro_bpere =  0.17 ;
else if f_cs42a = '22' then score_pro_bpere =  0.27 ;
else if f_cs42a = '23' then score_pro_bpere =  1.18 ;
else if f_cs42a = '31' then score_pro_bpere =  2.19 ;

else if f_cs42a in ('32','33','34','35') then score_pro_bpere =  1.33 ;
else if f_cs42a in ('36','37','38') then score_pro_bpere =  1.65 ;
else if f_cs42a in ('41','42','43','44','45') then score_pro_bpere =  1.02 ;
else if f_cs42a = '46' then score_pro_bpere =  0    ;
else if f_cs42a in ('47', '48') then score_pro_bpere =  0.78 ;

else if f_cs42a = '50' then score_pro_bpere = -0.66 ;
else if f_cs42a in ('51','52','53') then score_pro_bpere = -0.52 ;

else if f_cs42a = '54' then score_pro_bpere =  0.03 ;
else if f_cs42a = '55' then score_pro_bpere = -1.18 ;
else if f_cs42a = '56' then score_pro_bpere = -1.17 ;
else if f_cs42a in ('61','62','63','64','65') then score_pro_bpere = -0.50 ;
else if f_cs42a = '60' then score_pro_bpere = -0.87 ;
else if f_cs42a in ('66','67','68','69') then score_pro_bpere = -1.52 ;
 
/* pre du conjoint   c_cs42pc*/


if f_cs42p in ('10','11','12','13') then score_pro_pere_conj = -0.43 ;
else if f_cs42p = '21' then score_pro_pere_conj =  0.17 ;
else if f_cs42p = '22' then score_pro_pere_conj =  0.27 ;
else if f_cs42p = '23' then score_pro_pere_conj =  1.18 ;
else if f_cs42p = '31' then score_pro_pere_conj =  2.19 ;

else if f_cs42p in ('32','33','34','35') then score_pro_pere_conj =  1.33 ;
else if f_cs42p in ('36','37','38') then score_pro_pere_conj =  1.65 ;
else if f_cs42p in ('41','42','43','44','45') then score_pro_pere_conj =  1.02 ;
else if f_cs42p = '46' then score_pro_pere_conj =  0    ;
else if f_cs42p in ('47', '48') then score_pro_pere_conj =  0.78 ;

else if f_cs42p = '50' then score_pro_pere_conj = -0.66 ;
else if f_cs42p in ('51','52','53') then score_pro_pere_conj = -0.52 ;

else if f_cs42p = '54' then score_pro_pere_conj =  0.03 ;
else if f_cs42p = '55' then score_pro_pere_conj = -1.18 ;
else if f_cs42p = '56' then score_pro_pere_conj = -1.17 ;
else if f_cs42p in ('61','62','63','64','65') then score_pro_pere_conj = -0.50 ;
else if f_cs42p = '60' then score_pro_pere_conj = -0.87 ;
else if f_cs42p in ('66','67','68','69') then score_pro_pere_conj = -1.52 ;

/* mre du conjoint c_cs42mc*/


if f_cs42p in ('10','11','12','13') then score_pro_mere_conj = -0.43 ;
else if f_cs42p = '21' then score_pro_mere_conj =  0.17 ;
else if f_cs42p = '22' then score_pro_mere_conj =  0.27 ;
else if f_cs42p = '23' then score_pro_mere_conj =  1.18 ;
else if f_cs42p = '31' then score_pro_mere_conj =  2.19 ;

else if f_cs42p in ('32','33','34','35') then score_pro_mere_conj =  1.33 ;
else if f_cs42p in ('36','37','38') then score_pro_mere_conj =  1.65 ;
else if f_cs42p in ('41','42','43','44','45') then score_pro_mere_conj =  1.02 ;
else if f_cs42p = '46' then score_pro_mere_conj =  0    ;
else if f_cs42p in ('47', '48') then score_pro_mere_conj =  0.78 ;

else if f_cs42p = '50' then score_pro_mere_conj = -0.66 ;
else if f_cs42p in ('51','52','53') then score_pro_mere_conj = -0.52 ;

else if f_cs42p = '54' then score_pro_mere_conj =  0.03 ;
else if f_cs42p = '55' then score_pro_mere_conj = -1.18 ;
else if f_cs42p = '56' then score_pro_mere_conj = -1.17 ;
else if f_cs42p in ('61','62','63','64','65') then score_pro_mere_conj = -0.50 ;
else if f_cs42p = '60' then score_pro_mere_conj = -0.87 ;
else if f_cs42p in ('66','67','68','69') then score_pro_mere_conj = -1.52 ;

run;

/*********************************************************************/
/* 2 - calcul du score moyen des employs et ouvrier pour imputation */
/*********************************************************************/
proc means data=epic.ens;
var score_pro_enq_act ;
where m_cs42 in ('61','62','63','64','65','66','67','68','69');
weight poids_NR_CAL_JANV15 ;
run;
/* -0.87*/

proc means data=epic.ens;
var score_pro_enq_act ;
where m_cs42 in ('51','52','53','54','55','56');
weight poids_nr_cal_janv15 ;
run;
/* -0.66  */

/* pour vrifier */
proc means data=epic.ens;
var score_pro_enq_debr1 ;
where h_cs42 in ('51','52','53','54','55','56');
run;

/************************************************/
/* 3 - exportation au format stata              */
/************************************************/

proc export data=epic.ens
dbms=dta
outfile="~grobon_seb/EPIC/Donnees_25_01/epic_ens.dta"
replace;
run;

proc export data=epic.histrep
dbms=dta
outfile="~grobon_seb/EPIC/Donnees_25_01/epic_histrep.dta"
replace;
run;

proc export data=epic.repondant_score
dbms=dta
outfile="~grobon_seb/EPIC/Donnees_25_01/epic_rep.dta"
replace;
run;

/* csv */

proc export data=epic.histrep
dbms=csv
outfile="~grobon_seb/EPIC/Donnees_25_01/epic_histrep.csv"
replace;
run;

proc export data=epic.repondant_score
dbms=csv
outfile="~grobon_seb/EPIC/Donnees_25_01/epic_rep.csv"
replace;
run;

/************************************************/
/* 4 - premires statistiques descriptives      */
/************************************************/
proc means data=epic.ens;
var score_pro_enq_debr1 score_pro_conj_debr1  score_pro_enq_act score_pro_conj_act ;
weight poids_NR_CAL_JANV15 ;
run;




/****************************************************************/
/* Annexes */
/****************************************************************/
score_pro_conj_act score_pro_enq_debr1 score_pro_conj_debr1;
where 


/**************************************************/
/* contrle de l'homognit des bases de donnes */
/**************************************************/

proc freq data=epic.repondant_score;
table score_pro_enq_debract /missing;
run;

data repondant_essai;
set epic.repondant_score;
diff_act=abs(score_pro_enq_act-score_pro_conj_act);
diff_debract=abs(score_pro_enq_debract-score_pro_conj_debract);
run;

proc freq data=repondant_essai;
table diff_debract /missing;
run;

data epic.histrep;
set epic.histrep;
diff_act=abs(score_pro_enq_act-score_pro_conj_act);
diff_debract=abs(score_pro_enq_debract-score_pro_conj_debract);
diff_debrhist=abs(score_pro_enq_debrhist-score_pro_conj_debrhist);
run;

proc freq data= epic.histrep;
table diff_debrhist /missing;
run;